@echo Zip all, putting zips in the root folder...
@set TEMPVER=
@call zipver
@if "%TEMPVER%x" == "x" goto NOVER
@echo Zip version is %TEMPVER% ...
@set TEMPD1=zipexe.bat
@set TEMPD2=ziplibs.bat
@set TEMPD3=zipmsvc.bat
@set TEMPD4=tg-diff-%TEMPVER%.txt
@set TEMPS=zipall.bat
@set TEMPZ1=tg-exes-%TEMPVER%.zip
@set TEMPZ2=tg-libs-%TEMPVER%.zip
@set TEMPZ3=tg-msvc-%TEMPVER%.zip
@set TEMPALL=tg*%TEMPVER%.*

@if NOT EXIST ..\..\..\terragear-cs\projects\msvc\%TEMPS% goto NOSELF
@if NOT EXIST %TEMPD1% goto ERR1
@if NOT EXIST %TEMPD2% goto ERR2
@if NOT EXIST %TEMPD3% goto ERR3
@if EXIST ..\..\..\%TEMPD4% goto ERR4
@if EXIST ..\..\..\%TEMPZ1% goto ERR5
@if EXIST ..\..\..\%TEMPZ2% goto ERR6
@if EXIST ..\..\..\%TEMPZ3% goto ERR7

@echo Has this folder been cleaned?
@if NOT EXIST *.bak goto DNBAK
@echo *** NOTE at least one *.bak file exists...
:DNBAK
@if NOT EXIST *.old goto DNOLD
@echo *** NOTE at least one *.bak file exists...
:DNOLD
@if NOT EXIST *.sln goto DNSLN
@echo *** NOTE at least one *.sln file exists...
:DNSLN
@if NOT EXIST *.vcproj goto DNVCP
@echo *** NOTE at least one *.vcproj file exists...
:DNVCP
@if NOT EXIST *.user goto DNUSER
@echo *** NOTE at least one *.user file exists...
:DNUSER
@if NOT EXIST temp*.* goto dntmp
@echo *** NOTE at least one temp*.* file exists...
:dntmp
@if NOT EXIST *.NCB goto DNNCB
@echo *** NOTE at least one *.NCB file exists...
:DNNCB
@if NOT EXIST *.suo goto DNSUO
@echo *** NOTE at least one *.suo file exists...
:DNSUO

@pause

call %TEMPD1%
call %TEMPD2%
call %TEMPD3%
copy %TEMPD4% ..\..\..\.
@dir ..\..\..\%TEMPALL%
@echo All done...
@goto END

:NOVER
@echo TEMPVER not set in environment...
@echo Does zipver.bat exist?
@goto END

:NOSELF
@echo ERROR: Can not locate myself...
@goto END

:ERR1
@echo ERROR: Can not locate %TEMPD1%!
@goto END

:ERR2
@echo ERROR: Can not locate %TEMPD2%!
@goto END

:ERR3
@echo ERROR: Can not locate %TEMPD3%!
@goto END

:ERR3
@echo ERROR: File %TEMPD3% already exists!
@echo Must be deleted, moved, or renamed first...
@goto END

:ERR4
@echo ERROR: File %TEMPD4% already exists!
@echo Must be deleted, moved, or renamed first...
@goto END

:ERR5
@echo ERROR: File %TEMPZ1% already exists!
@goto DODEL
:ERR6
@echo ERROR: File %TEMPZ2% already exists!
@goto DODEL
:ERR7
@echo ERROR: File %TEMPZ3% already exists!
@goto DODEL

:DODEL
@echo Must be deleted, moved, or renamed first...
@echo Or perhaps run zipdel.bat...
@goto END

:END
@set TEMPD1=
@set TEMPD2=
@set TEMPD3=
@set TEMPD4=
@set TEMPS=
@set TEMPVER=
@set TEMPZ1=
@set TEMPZ2=
@set TEMPZ3=
@set TEMPALL=
